// Copyright 2015 Luke Shumaker <lukeshu@sbcglobal.net>.
//
// This is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// The GNU General Public License's references to "object code" and
// "executables" are to be interpreted to also include the output of
// any document formatting or typesetting system, including
// intermediate and printed output.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this manual; if not, see
// <http://www.gnu.org/licenses/>.

package hackers_git

import "lukeshu.com/git/go/libgnulinux.git/getgr"

func name2gid(name string) int32 {
	gr, err := getgr.ByName(name)
	if gr == nil || err != nil {
		return -1
	} else {
		return int32(gr.Gid)
	}
}

func gid2name(gid int32) (string, bool) {
	gr, err := getgr.ByGid(gid)
	if gr == nil || err != nil {
		return "", false
	} else {
		return gr.Name, true
	}
}
